Subject: bug#45599: using guix to install packages from inside a container that runs on foreign distro breaks guix and the foreign distro

From: david larsson <[email-masked]>
Date: Fri, 05 Mar 2021 14:43:37 +0100

On 2021-03-04 10:14, Ludovic Courtès wrote:
> Hi David,
> 
> Looks like this bug report fell through the cracks of the turn of year…
> 
> david larsson <[email-masked]> skribis:
> 
>> upon starting it with sudo /gnu/store/asdfasdfasdf-run-container
>> 
>> 
>> and connecting to it with
>> 
>> sudo guix container exec 8625 /run/current-system/profile/bin/bash
>> --login
>> [sudo] password for david:
>> root@MinimalSSH /#
>> root@MinimalSSH /#
>> root@MinimalSSH /# guix package -i hello
> 
> [...]
> 
>> error: executing
>> `/gnu/store/qyjhy4bkz51jyspi63llfznsnz7vibzy-guix-1.1.0-30.875c01f/bin/guix
>> substitute': No such file or directory
>> guix package: error: unexpected EOF reading a line
>> root@MinimalSSH /#
>> root@MinimalSSH /# exit
>> logout
>> guix container: error: exec failed with status 1
>> david@l560:~/VirtualHome/src$ guix package -i hello
>> bash: /usr/local/bin/guix:
>> /gnu/store/b7rixb64yp00znz0d5rwd5zzklwzlzmv-guile-wrapper/bin/guile:
>> bad interpreter: No such file or directory
> 
> It looks as though the store item for Guix or Guile used on the host 
> had
> been suddenly wiped, even though we don’t see any GC activity or
> similar.
> 
>> As you can see, guix is now broken on both the host and guest system.
> 
> Were you able to better see what was broken?  Is it that store items
> were removed?  Are there issues with non-Guix files?  It would be great
> if you could gather more details as to what’s wrong.  I’ll also see if 
> I
> can try that in a VM.

No, unfortunately I couldn't find any reason. I repeated it a few times 
with the same results but I no longer have access to the VM I tested 
this on so I can't help with more details, sorry :/

If it does not happen when you try it (if you do), I would be glad to 
hear about so I can call this a fluke and attribute the bug to special 
unknown circumstances with the particular host system I used.

Best regards,
David